"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getGlobalSettings = exports.setGlobalSettings = exports.getComponentSettings = exports.setComponentSettings = void 0;
const rest_modules_1 = require("@wix/sdk-runtime/rest-modules");
const rest_modules_2 = require("@wix/sdk-runtime/rest-modules");
function resolveComWixFedSettingsAppSettingsServiceUrl(opts) {
    const domainToMappings = {
        'www._base_domain_': [
            {
                srcPath: '/_api/app-settings-service',
                destPath: '/api',
            },
            {
                srcPath: '/_api/wix-user-preferences-webapp',
                destPath: '/api/v1/userPreferences',
            },
            {
                srcPath: '/_api/app-settings-service/v1/settings/components',
                destPath: '/api/v1/settings/components',
            },
        ],
        'api._api_base_domain_': [
            {
                srcPath: '/app-settings-service',
                destPath: '',
            },
            {
                srcPath: '/_api/app-settings-service',
                destPath: '/api',
            },
        ],
        'bo._base_domain_': [
            {
                srcPath: '/app-settings-service',
                destPath: '/private/api',
            },
            {
                srcPath: '/_api/app-settings-service',
                destPath: '/api',
            },
            {
                srcPath: '/_api/wix-user-preferences-webapp',
                destPath: '/api/v1/userPreferences',
            },
            {
                srcPath: '/dev/_api/wix-user-preferences-webapp',
                destPath: '/api/v1/userPreferences',
            },
        ],
        'wixbo.ai': [
            {
                srcPath: '/app-settings-service',
                destPath: '/private/api',
            },
            {
                srcPath: '/_api/app-settings-service',
                destPath: '/api',
            },
            {
                srcPath: '/_api/wix-user-preferences-webapp',
                destPath: '/api/v1/userPreferences',
            },
            {
                srcPath: '/dev/_api/wix-user-preferences-webapp',
                destPath: '/api/v1/userPreferences',
            },
        ],
        'wix-bo.com': [
            {
                srcPath: '/app-settings-service',
                destPath: '/private/api',
            },
            {
                srcPath: '/_api/app-settings-service',
                destPath: '/api',
            },
            {
                srcPath: '/_api/wix-user-preferences-webapp',
                destPath: '/api/v1/userPreferences',
            },
            {
                srcPath: '/dev/_api/wix-user-preferences-webapp',
                destPath: '/api/v1/userPreferences',
            },
        ],
        _: [
            {
                srcPath: '/_api/app-settings-service',
                destPath: '/api',
            },
            {
                srcPath: '/_api/wix-user-preferences-webapp',
                destPath: '/api/v1/userPreferences',
            },
            {
                srcPath: '/_api/app-settings-service/v1/settings/components',
                destPath: '/api/v1/settings/components',
            },
            {
                srcPath: '/_api/app-settings-service/v1/settings/instances',
                destPath: '/api/v1/settings/instances',
            },
        ],
        'editor._base_domain_': [
            {
                srcPath: '/_api/app-settings-service',
                destPath: '/api',
            },
            {
                srcPath: '/_api/wix-user-preferences-webapp',
                destPath: '/api/v1/userPreferences',
            },
        ],
        'blocks._base_domain_': [
            {
                srcPath: '/_api/app-settings-service',
                destPath: '/api',
            },
            {
                srcPath: '/_api/wix-user-preferences-webapp',
                destPath: '/api/v1/userPreferences',
            },
        ],
        'create.editorx': [
            {
                srcPath: '/_api/app-settings-service',
                destPath: '/api',
            },
            {
                srcPath: '/_api/wix-user-preferences-webapp',
                destPath: '/api/v1/userPreferences',
            },
        ],
        '*.dev.wix-code.com': [
            {
                srcPath: '/_api/app-settings-service',
                destPath: '/api',
            },
        ],
        'progallery._base_domain_': [
            {
                srcPath: '/_api/app-settings-service',
                destPath: '/api',
            },
            {
                srcPath: '/_api/wix-user-preferences-webapp',
                destPath: '/api/v1/userPreferences',
            },
        ],
        'ecom._base_domain_': [
            {
                srcPath: '/_api/app-settings-service',
                destPath: '/api',
            },
            {
                srcPath: '/_api/wix-user-preferences-webapp',
                destPath: '/api/v1/userPreferences',
            },
        ],
        'bookings.wixapps.net': [
            {
                srcPath: '/_api/wix-user-preferences-webapp',
                destPath: '/api/v1/userPreferences',
            },
            {
                srcPath: '/_api/app-settings-service',
                destPath: '/api',
            },
        ],
        'scheduler._base_domain_': [
            {
                srcPath: '/_api/wix-user-preferences-webapp',
                destPath: '/api/v1/userPreferences',
            },
        ],
        'manage._base_domain_': [
            {
                srcPath: '/_api/app-settings-service',
                destPath: '/api',
            },
            {
                srcPath: '/_api/wix-user-preferences-webapp',
                destPath: '/api/v1/userPreferences',
            },
        ],
        'progallery.wixapps.net': [
            {
                srcPath: '/_api/app-settings-service',
                destPath: '/api',
            },
            {
                srcPath: '/_api/wix-user-preferences-webapp',
                destPath: '/api/v1/userPreferences',
            },
        ],
        'support._base_domain_': [
            {
                srcPath: '/_api/wix-user-preferences-webapp',
                destPath: '/api/v1/userPreferences',
            },
        ],
        'social-blog._base_domain_': [
            {
                srcPath: '/_api/app-settings-service',
                destPath: '/api',
            },
        ],
        'editor.wixapps.net': [
            {
                srcPath: '/_api/app-settings-service',
                destPath: '/api',
            },
            {
                srcPath: '/_api/wix-user-preferences-webapp',
                destPath: '/api/v1/userPreferences',
            },
        ],
        'dev._base_domain_': [
            {
                srcPath: '/_api/app-settings-service',
                destPath: '/api',
            },
            {
                srcPath: '/_api/wix-user-preferences-webapp',
                destPath: '/api/v1/userPreferences',
            },
        ],
        'www.wixapis.com': [
            {
                srcPath: '/settings',
                destPath: '/api',
            },
            {
                srcPath: '/user-preferences',
                destPath: '/api/v1/userPreferences',
            },
            {
                srcPath: '/_api/app-settings-service',
                destPath: '/api',
            },
            {
                srcPath: '/_api/wix-user-preferences-webapp',
                destPath: '/api/v1/userPreferences',
            },
        ],
        'addresses.wixapps.net': [
            {
                srcPath: '/_api/app-settings-service',
                destPath: '/api',
            },
        ],
    };
    return (0, rest_modules_2.resolveUrl)(Object.assign(opts, { domainToMappings }));
}
const PACKAGE_NAME = '@wix/auto_sdk_app-settings_app-settings';
/** Set component settings by componentId */
function setComponentSettings(payload) {
    function __setComponentSettings({ host }) {
        const metadata = {
            entityFqdn: 'wix.app_settings.v1.settings',
            method: 'PATCH',
            methodFqn: 'com.wix.fed.settings.AppSettingsService.SetComponentSettings',
            packageName: PACKAGE_NAME,
            url: resolveComWixFedSettingsAppSettingsServiceUrl({
                protoPath: '/api/v1/settings/components/{componentId}',
                data: payload,
                host,
            }),
            data: payload,
        };
        return metadata;
    }
    return __setComponentSettings;
}
exports.setComponentSettings = setComponentSettings;
/** Get component settings by componentId */
function getComponentSettings(payload) {
    function __getComponentSettings({ host }) {
        const metadata = {
            entityFqdn: 'wix.app_settings.v1.settings',
            method: 'GET',
            methodFqn: 'com.wix.fed.settings.AppSettingsService.GetComponentSettings',
            packageName: PACKAGE_NAME,
            url: resolveComWixFedSettingsAppSettingsServiceUrl({
                protoPath: '/api/v1/settings/components/{componentId}',
                data: payload,
                host,
            }),
            params: (0, rest_modules_1.toURLSearchParams)(payload),
        };
        return metadata;
    }
    return __getComponentSettings;
}
exports.getComponentSettings = getComponentSettings;
/** Set global settings by instanceId (extracted from Authorization) */
function setGlobalSettings(payload) {
    function __setGlobalSettings({ host }) {
        const metadata = {
            entityFqdn: 'wix.app_settings.v1.settings',
            method: 'PATCH',
            methodFqn: 'com.wix.fed.settings.AppSettingsService.SetGlobalSettings',
            packageName: PACKAGE_NAME,
            url: resolveComWixFedSettingsAppSettingsServiceUrl({
                protoPath: '/api/v1/settings/instances',
                data: payload,
                host,
            }),
            data: payload,
        };
        return metadata;
    }
    return __setGlobalSettings;
}
exports.setGlobalSettings = setGlobalSettings;
/** Get global settings by instanceId (extracted from Authorization) */
function getGlobalSettings(payload) {
    function __getGlobalSettings({ host }) {
        const metadata = {
            entityFqdn: 'wix.app_settings.v1.settings',
            method: 'GET',
            methodFqn: 'com.wix.fed.settings.AppSettingsService.GetGlobalSettings',
            packageName: PACKAGE_NAME,
            url: resolveComWixFedSettingsAppSettingsServiceUrl({
                protoPath: '/api/v1/settings/instances',
                data: payload,
                host,
            }),
            params: (0, rest_modules_1.toURLSearchParams)(payload),
        };
        return metadata;
    }
    return __getGlobalSettings;
}
exports.getGlobalSettings = getGlobalSettings;
//# sourceMappingURL=app-settings-v1-settings-app-settings.http.js.map