import { HttpClient } from '@wix/sdk-types';
import { GetComponentSettingsOptions, GetComponentSettingsResponse, GetGlobalSettingsOptions, GetGlobalSettingsResponse, SetComponentSettingsOptions, SetComponentSettingsResponse, SetGlobalSettingsOptions, SetGlobalSettingsResponse } from './app-settings-v1-settings-app-settings.universal.js';
export declare const __metadata: {
    PACKAGE_NAME: string;
};
export declare function setComponentSettings(httpClient: HttpClient): SetComponentSettingsSignature;
interface SetComponentSettingsSignature {
    /**
     * Set component settings by componentId
     * @param - The component Id
     */
    (componentId: string, options?: SetComponentSettingsOptions | undefined): Promise<SetComponentSettingsResponse>;
}
export declare function getComponentSettings(httpClient: HttpClient): GetComponentSettingsSignature;
interface GetComponentSettingsSignature {
    /**
     * Get component settings by componentId
     * @param - The component we want data for. Component ids can be from the site or oneApp
     */
    (componentId: string, options?: GetComponentSettingsOptions | undefined): Promise<GetComponentSettingsResponse>;
}
export declare function setGlobalSettings(httpClient: HttpClient): SetGlobalSettingsSignature;
interface SetGlobalSettingsSignature {
    /**
     * Set global settings by instanceId (extracted from Authorization)
     */
    (options?: SetGlobalSettingsOptions | undefined): Promise<SetGlobalSettingsResponse>;
}
export declare function getGlobalSettings(httpClient: HttpClient): GetGlobalSettingsSignature;
interface GetGlobalSettingsSignature {
    /**
     * Get global settings by instanceId (extracted from Authorization)
     */
    (options?: GetGlobalSettingsOptions | undefined): Promise<GetGlobalSettingsResponse>;
}
export { AppSettings, BulkGetComponentSettingsRequest, BulkGetComponentSettingsResponse, ComponentSettings, GetComponentSettingsItem, GetComponentSettingsOptions, GetComponentSettingsRequest, GetComponentSettingsResponse, GetGlobalSettingsForMigrationRequest, GetGlobalSettingsForMigrationResponse, GetGlobalSettingsOptions, GetGlobalSettingsRequest, GetGlobalSettingsResponse, GetRequest, GetResponse, Host, LanguageKey, Scope, SetComponentSettingsForMigrationRequest, SetComponentSettingsForMigrationResponse, SetComponentSettingsItem, SetComponentSettingsOptions, SetComponentSettingsRequest, SetComponentSettingsResponse, SetGlobalSettingsForMigrationRequest, SetGlobalSettingsForMigrationResponse, SetGlobalSettingsOptions, SetGlobalSettingsRequest, SetGlobalSettingsResponse, SetRequest, SetResponse, State, TranslatedLanguage, UpdateRequest, UpdateResponse, } from './app-settings-v1-settings-app-settings.universal.js';
